Summary: GNU diff Utilities
Name: diffutils
Version: 2.7
Release: 12
Group: Utilities/Text
Source: ftp://prep.ai.mit.edu/pub/gnu/diffutils-2.7.tar.gz
Source1: cmp.1
Source2: diff.1
Source3: diff3.1
Source4: sdiff.1
Copyright: GPL
Prereq: /sbin/install-info
Buildroot: /var/tmp/diff-root
Summary(de): GNU-Diff-Utilities 
Summary(fr): Utilitaires diff de GNU
Summary(tr): GNU dosya karlatrma aralar

%description
The diff utilities can be used to compare files, and generate a record
of the "differences" between files.  This record can be used by the
patch program to bring one file up to date with the other.  All these
utilities (except cmp) only work on text files.

%changelog
* Tue Jul 14 1998 Bill Kawakami <billk@home.com>
- included the four man pages stolen from Slackware

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun May 03 1998 Cristian Gafton <gafton@redhat.com>
- fixed spec file to reference/use the $RPM_BUILD_ROOT always

* Wed Dec 31 1997 Otto Hammersmith <otto@redhat.com>
- fixed where it looks for 'pr' (/usr/bin, rather than /bin)

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

%prep
%setup

%build
./configure --prefix=/usr 
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s PR_PROGRAM=/usr/bin/pr

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
make prefix=$RPM_BUILD_ROOT/usr install
gzip -9nf $RPM_BUILD_ROOT/usr/info/diff*

cd $RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/bin/{diff,diff3,sdiff,cmp}
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/usr/man/man1
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/usr/man/man1
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT/usr/man/man1
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/usr/man/man1

%post
/sbin/install-info /usr/info/diff.info.gz /usr/info/dir --entry="* diff: (diff).                 The GNU diff."

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/diff.info.gz /usr/info/dir --entry="* diff: (diff).                 The GNU diff."
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc NEWS README
/usr/bin/*
/usr/info/diff.info*gz
/usr/man
